# Histograms as Objects: Tools for Efficient Analysis and Interactivity

[![Binder](https://mybinder.org/badge_logo.svg)](https://mybinder.org/v2/gh/amangoel185/pyhep-2022-histogramming-talk/HEAD)
[![DOI](https://zenodo.org/badge/534640103.svg)](https://zenodo.org/badge/latestdoi/534640103)

This is the repository for the talk [Histograms as Objects: Tools for Efficient Analysis and Interactivity](https://indico.cern.ch/event/1150631/contributions/5014273/) presented at the [PyHEP 2022 Workshop](https://indico.cern.ch/event/1150631/) on September 12, 2022.

## Abstract

Histograms are a pillar of analysis in High Energy Physics. Particle physicists utilise histograms in order to find new particles, measure characteristics, and understand data activities. An instance of an application is fitting bumps in histograms to find particular interactions by accumulating huge amounts of data given that the probability of occurrence is low. The Scikit-HEP ecosystem provides a coordinated set of tools for histogramming. This talk aims to discuss these histogramming packages built on the histogram-as-an-object concept with a focus on results, techniques, recent updates, and future directions. The boost-histogram library enables fast and efficient histogramming, while Hist adds useful features by using boost-histogram as a backend. A new library, uproot-browser, has been introduced which enables a user to browse and look inside a ROOT file, completely via the terminal.

## Speakers

- [Aman Goel](https://github.com/amangoel185)
- Jay Gohil

## Authors

- [Aman Goel](https://github.com/amangoel185)
- Dr Hans Peter Dembinski
- [Henry Schreiner](http://iscinumpy.gitlab.io)
- Jay Gohil
